
from odoo.upgrade import util


def migrate(cr, version):
    util.remove_model(cr, 'export.sdworx.leaves')

    # odoo/enterprise@f5aca9938: `sdworx_code` was introduced on
    # `hr.work.entry.type` instead of `hr.leave.type` so we remove that field.
    # For `hr.employee` and `res.company` as we field is in standard simply
    # move them to the right module (effectively delete IMD in current module)
    util.remove_field(cr, "hr.leave.type", "sdworx_code")
    for model in ["hr.employee", "res.company"]:
        util.move_field_to_module(cr, model, "sdworx_code",
                                  "hr_contract_salary_internal", "l10n_be_hr_payroll_sd_worx")

    util.remove_view(cr, xml_id='hr_contract_salary_internal.res_company_view_form')
    util.remove_view(cr, xml_id='hr_contract_salary_internal.hr_leave_type_view_form')
    util.remove_view(cr, xml_id='hr_contract_salary_internal.hr_employee_view_form')

    records_to_delete = [
        'hr_contract_salary_internal.action_convert_credit_time_to_parental_time_off',
        'hr_contract_salary_internal.dkv_create_new_card_mail_template',
        'hr_contract_salary_internal.dkv_change_limit_mail_template',
        'hr_contract_salary_internal.action_dkv_create_new_card',
        'hr_contract_salary_internal.action_dkv_change_limit',
    ]
    for rec in records_to_delete:
        util.remove_record(cr, rec)
